# Uses of Enum Class
javax.validation.metadata.MethodType

Packages that use MethodType
Package
Description
javax.validation.metadata

## Uses of MethodType in javax.validation.metadata

Methods in javax.validation.metadata that return MethodType
Modifier and Type
Method
Description
`static MethodType`
MethodType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MethodType[]`
MethodType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.validation.metadata with parameters of type MethodType
Modifier and Type
Method
Description
`Set<MethodDescriptor>`
BeanDescriptor.`getConstrainedMethods(MethodType methodType, MethodType... methodTypes)`